For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Connect
BlogHelp CenterAPI PricingSign up
OverviewElevenCreativeElevenAgentsElevenAPIReception AIAPI referenceChangelog
OverviewElevenCreativeElevenAgentsElevenAPIReception AIAPI referenceChangelog
  • API reference
    • Introduction
    • Authentication
    • Streaming
  • ElevenAgents
        • GETText search
        • GETSmart search
      • GETList conversations
      • GETGet conversation details
      • DELDelete conversation
      • GETGet conversation audio
      • GETGet signed URL
      • GETGet conversation token
      • POSTSend conversation feedback
      • POSTUpload conversation file
      • DELDelete conversation file
      • GETGet SIP messages for a conversation
  • ElevenAPI
  • ElevenCreative
  • Core Resources
  • Workspace
  • Legacy
  • Conversational AI
LogoLogo
Login
Login
Connect
BlogHelp CenterAPI PricingSign up
ElevenAgentsConversationsMessages

Smart search

GET
/v1/convai/conversations/messages/smart-search
GET
/v1/convai/conversations/messages/smart-search
$curl -G https://api.elevenlabs.io/v1/convai/conversations/messages/smart-search \
> -H "xi-api-key: sk_live_1234567890abcdef" \
> -H "Content-Type: application/json" \
> --data-urlencode "text_query=Refund request for cancelled order" \
> -d agent_id=agent_3701k3ttaq12ewp8b7qv5rfyszkz \
> -d page_size=10
1{
2 "results": [
3 {
4 "conversation_id": "conv_9f8b7a6c5d4e3f2a1b0c",
5 "agent_id": "agent_3701k3ttaq12ewp8b7qv5rfyszkz",
6 "transcript_index": 5,
7 "chunk_text": "I understand you want to cancel your order and receive a refund. Let me assist you with that process.",
8 "score": 0.92,
9 "conversation_start_time_unix_secs": 1685000000,
10 "agent_name": "Support Agent Jane",
11 "chunk_highlights": null
12 }
13 ],
14 "has_more": false,
15 "meta": {
16 "total": 1,
17 "page": 1,
18 "page_size": 10
19 },
20 "next_cursor": "eyJwYWdlIjoxfQ=="
21}
Search conversation transcripts by semantic similarity to surface relevant messages based on meaning and intent, rather than exact keyword matches
Was this page helpful?
Previous

Get agent conversation topics

Next
Built with

Headers

xi-api-keystringOptional

Query parameters

text_querystringRequired
The search query text for semantic similarity matching
agent_idstring or nullOptional

Agent id (agent_…) or speech engine external id (seng_), resolved to the same underlying resource.

page_sizeintegerOptional1-50Defaults to 20
Number of results per page. Max 50.
cursorstring or nullOptional
Used for fetching next page. Cursor is returned in the response.

Response

Successful Response
resultslist of objects
has_moreboolean
Whether there are more results available
metaobject
next_cursorstring or null
Cursor for the next page of results

Errors

422
Unprocessable Entity Error